# -*- coding: utf-8 -*-

import pygame
import os

import data
import env

music_dir = os.path.join(data.data_dir,  "music")

ismuting = False
changed_while_pause = False

def play_music(music):
    if pygame.mixer.get_init():
        global nowplaying
        global changed_while_pause
        if music == env.env["nowplaying"]:
            return
        else:
            pygame.mixer.music.load(os.path.join(music_dir,  music))
            if not ismuting:
                pygame.mixer.music.play(-1)
            else:
                changed_while_pause = True
            env.env["nowplaying"] = music

def stop_music():
    if pygame.mixer.get_init():
        pygame.mixer.music.stop()
        env.env["nowplaying"] = ""

def toggle_mute():
    if pygame.mixer.get_init():
        global ismuting
        global changed_while_pause

        if not ismuting:
            ismuting = True
            pygame.mixer.music.pause()
        else:
            if changed_while_pause:
                pygame.mixer.music.play(-1)
                changed_while_pause = False

            ismuting = False
            pygame.mixer.music.unpause()

